var commandsRef=new Object();
var commandsIndex=new Array();
var commands=new Array(
 "After,[名前],[コマンドや関数],{",
 "Age,[名前],コマンドや関数",
 "Axis,始点,終点",
 "Before,[名前],[コマンドや関数],{",
 "Boundary,[名前],[コマンドや関数]",
 "C_Date,[名前],歴年代,誤差",
 "C_Combine,[名前],[系統誤差],{",
 "C_Simulate,[名前],歴年代,誤差",
 "Color,color,=",
 "Combine,[名前],{",
 "Comment,テキスト",
 "Correlation,名前,Parameter1,Parameter2",
 "Curve,名前,ファイル名",
 "Date,[名前],コマンドや関数",
 "Delta_R,[名前],Shift,誤差",
 "D_Sequence,[名前],{",
 "Difference,名前,変数1,変数2",
 "Exp,[名前],Tau,始点,終点",
 "First,[名前],[コマンドや関数]",
 "Gap,Gap,[誤差]",
 "Interval,[名前],[コマンドや関数]",
 "Label,テキスト",
 "Last,[名前],[コマンドや関数]",
 "Line",
 "MCMC_Sample,[名前],[インターバル],[最大値],{",
 "Mix_Curves,名前,較正曲線1,較正曲線2,較正曲線2の寄与率,誤差",
 "N,名前,&mu;,&sigma;",
 "Number,名前,コマンドや関数",
 "Order,[名前],{",
 "Offset,移動値,誤差,@",
 "Outlier,[名前],[確率],@",
 "Outlier_Model,[名前],分布,[強度],[型式 (t/r/s)]",
 "P,Variable,始点,終点,コマンドや関数,[解像度]",
 "P_Sequence,[名前],k,[内挿単位],{",
 "Page",
 "Phase,[名前],{",
 "Plot,[名前],{",
 "Position,z,=",
 "Prior,名前,[ファイル名]",
 "Probability,[名前],At,分布",
 "R_Date,[名前],14C年代,誤差",
 "R_Combine,[名前],[系統誤差],{",
 "R_F14C,[名前],F14C,誤差",
 "R_Simulate,[名前],歴年代,誤差",
 "Reservoir,Tau,誤差,@",
 "Sample,[名前],分布",
 "Sapwood,[名前],芯材/辺材境界年代,芯材年輪数,辺材年輪数,芯材平均年輪幅",
 "Sapwood_Model,名前,a,br,bm,&sigma;",
 "Sequence,[名前],{",
 "Sigma_Boundary,[名前],[コマンドや関数]",
 "Shift,名前,変数1,変数2",
 "Span,[名前],[コマンドや関数]",
 "Sum,[名前],{",
 "T,[名前],自由度,[スケール],[解像度]",
 "Tau_Boundary,[名前],[コマンドや関数]",
 "Top_Hat,[名前],中央値,半値幅",
 "U,[名前],From,To",
 "U_Sequence,[名前],[内挿単位],{",
 "V_Sequence,[名前],{",
 "Year,Year,=",
 "Zero_Boundary,[名前],[コマンドや関数]");

function parseCommands()
{
 var i,j;
 var c;
 for(i=0;i<commands.length;i++)
 {
  c=commands[i].split(",");
  commandsIndex[i]=c[0];
  commandsRef[commandsIndex[i]]=new Object();
  commandsRef[commandsIndex[i]].param=new Array();
  commandsRef[commandsIndex[i]].type="simple";
  commandsRef[commandsIndex[i]].expanded=false;
  for(j=1;j<c.length;j++)
  {
   switch(c[j])
   {
   case "{":
    commandsRef[commandsIndex[i]].type="group";
    break;
   case "@":
    commandsRef[commandsIndex[i]].type="modifier";
    break;
   case "=":
    commandsRef[commandsIndex[i]].type="attribute";
    break;
   default:
    commandsRef[commandsIndex[i]].param[j-1]=c[j];
    break;
   };
  };
 };
};

function commandSyntax(d,name,end,old)
{
 var r;
 var i;
 r=commandsRef[name];
 if(r)
 {
  if(r.type=="attribute")
  {
   d.write("<span class='quote'>"+r.param[0]+
            "=<\/span><span class='expression'>value<\/span>");
  }
  else
  {
   if(old)
   {
    d.write("<span class='quote'>"+name+" <\/span>");
   }
   else
   {
    d.write("<span class='quote'>"+name+"(<\/span>");
   };
   for(i=0;i<r.param.length;i++)
   {
    if(i>0)
    {
     if(old)
     {
      d.write(" ");
     }
     else
     {
      d.write("<span class='quote'>, <\/span>");
     };
    };
    d.write("<span class='expression'>"+r.param[i]+"<\/span>");
   };
   if(!old)
   {
    d.write("<span class='quote'>)<\/span>");
   };
   if(r.type=="group")
   {
    d.write("<span class='quote'>{ &hellip; }<\/span>");
   };
  };
 };
 d.writeln("<span class='quote'>"+end+"<\/span>");
};
