if(typeof(parseCommands)!='undefined')
{

parseCommands();

commandsRef["After"].help	="Afterで定義された要素に対して，それより新しいイベントを”以後”のイベントとしてPDFを返すためのグループ関数";
commandsRef["Age"].help		="関数やコマンドで表現される年代に対して，年代あるいはPDFを返す形式変換関数；年変数を使用";
commandsRef["Axis"].help		="x軸(年代軸)の範囲指定をするためのプロットコマンド";
commandsRef["Before"].help	="Beforeで定義された関数やコマンドに対して，それより古いイベントを”以前”のイベントとしてPDFを返すためのグループ関数";
commandsRef["Boundary"].help	="Sequence, P_Sequence, U_SequenceおよびV_Sequenceと併用；開始および終焉境界の両方をBoundaryで対にすると，対象グループを一様分布のグループとして定義";
commandsRef["C_Date"].help	="正規分布する誤差を持った暦年代のPDFを返すための単純関数；年代は，BPあるいはBC/ADの設定によって定義";
commandsRef["C_Combine"].help	="C_Dataによって定義された正規分布する誤差を積算；統計誤差変数は，縮小させられない誤差を補足的に定義することが可能";
commandsRef["C_Simulate"].help	="年代結果を正規分布で返す年代測定の結果のシミュレーションに使用";
commandsRef["Combine"].help	="独立事象のPDFを積算するためのグループ関数";
commandsRef["Color"].help="プロット内のデータや較正曲線の色設定；css形式の色定義であればいずれも使用可能（赤=#ff0000）";
commandsRef["Comment"].help	="コメント記入（プログラムには反映されません）";
commandsRef["Correlation"].help	="二つの変数の関係を相関プロットで出力";
commandsRef["Curve"].help	="R_DateやR_Combineで使用する放射性炭素較正曲線を定義";
commandsRef["Date"].help		="関数やコマンドで表現される年代に対して，年代あるいはPDFを返す形式変換関数";
commandsRef["Delta_R"].help	="較正前の年代に対して適用する移動値の定義；設定されている較正曲線に適用される";
commandsRef["D_Sequence"].help	="各要素間の正確な時間的間隔が明らかな場合，連続堆積モデルを定義；例 樹木年輪試料";
commandsRef["Difference"].help	="二変数間の差を計算";
commandsRef["First"].help	="最初のイベントを返すグループあるいは参照関数；変数が存在しない場合，参照関数として対象グループに適用される";
commandsRef["Gap"].help		="V_Sequence（誤差併用）あるいはD_Sequence（誤差不要）の中で，イベント間の時間間隔を定義；Sequenceを利用時において，最小時間間隔を定義するために使用することも可能";
commandsRef["Interval"].help	="Sequence利用時において，イベントやグループの間に存在する時間間隔を参照";
commandsRef["Label"].help	="プロットにラベルを加えるプロットコマンド";
commandsRef["Last"].help		="最後のイベントを返すグループあるいは参照関数；変数が存在しない場合，参照関数として対象グループに適用される";
commandsRef["Line"].help		="プロットに水平方向へ区切り線を加えるためのプロットコマンド";
commandsRef["MCMC_Sample"].help	="間隔と取得サンプリング数(デフォルトでは1000)を定義し，MCMCサンプルの全てを（ディフォルトでは）MCMC_Sample.csvファイルとして保存";
commandsRef["Mix_Curves"].help	="二つの放射性炭素リザーバを混合したモデルを定義；MCMC分析では，第二リザーバに対する0から100%の寄与率に制約される";
commandsRef["N"].help		="正規分布のPDFを返す";
commandsRef["Number"].help	="要素で表現される数値に対して，数値あるいはPDFで返す形式変換関数";
commandsRef["Order"].help	="イベントの相対的順序を返すグループあるいは参照関数；変数が存在しない場合，参照関数として対象グループに適用される";
commandsRef["Offset"].help	="正規分布による較正年代のオフセット値；R_Data()に対するオフセット値をN()で表現すれば，R_Data(2000, 20)+N(10, 5)";
commandsRef["Outlier"].help	="変数が存在しない場合は対象モデルにおいて考えられる要素の除去；対象モデルにおいて年代付けされた要素の確からしさを評価；異常値確率を使用する場合において，Outlier_Modelを基とした異常値分析の設定を行う";
commandsRef["Outlier_Model"].help="Outlierが設定された確率を含むモデルの定義；分布の設定は必須（典型的にはT(5)）；強度分布は，典型的には1から10000年のスケールを使用(U0, 4)";
commandsRef["P"].help		="P(t, 0, 200, exp(-t/20), 1)のような複雑な分布形式の記述する場合に使用；表示される分布は自動的に規格化";
commandsRef["P_Sequence"].help	="試料の割り当て位置から堆積を推定する深さモデルの定義；k変数は，長さあたりのイベント数を定義；内挿変数は，長さあたりの内挿数（精確なプロットにするためには内装点数の増加を必要としますが，収束時間がかかります）";
commandsRef["Page"].help		="改ベージを定義するプロットコマンド";
commandsRef["Phase"].help	="イベント/変数の非順序化をするグループの設定";
commandsRef["Plot"].help		="プロットグループの設定";
commandsRef["Position"].help	="defines the z position for elements in a depth model";
commandsRef["Prior"].help	="特定のデータのPDFあるいは算出中に複製されたPDFを定義";
commandsRef["Probability"].help	="PDFから特定の値における確率密度を抽出";
commandsRef["R_Date"].help	="放射性炭素濃度関数から較正年代のための尤度関数を算出";
commandsRef["R_Combine"].help	="年代較正前に放射性炭素年代を積算；統計誤差変数は，縮小させられない誤差を補足的に定義することが可能";
commandsRef["R_F14C"].help	="F14Cで得られた放射性炭素濃度関数から較正年代のための尤度関数を算出";
commandsRef["R_Simulate"].help	="暦年代に対して放射性炭素年代をシュミュレート";
commandsRef["Reservoir"].help	="較正曲線にオフセット値を与えるためのリザーバ時間定数を定義";
commandsRef["Sample"].help	="PDFから試料一点を抽出";
commandsRef["Sapwood"].help	="樹木試料の芯材/辺材境界あるいは（補足的）現状で存在する辺材年輪数より最外輪の年代をPDFとして変換";
commandsRef["Sapwood_Model"].help="Sapwoodコマンドを使用するための変数を定義";
commandsRef["Sequence"].help	="イベントおよびイベントグループの順序の定義";
commandsRef["Sigma_Boundary"].help="Sigma_Boundaryを対にしてSequence内で使用することで正規分布的グループを定義；Boundaryと対にすることで，片側分布的グループを定義";
commandsRef["Shift"].help	="変数1を変数2で移動";
commandsRef["Span"].help		="イベントの期間を返すグループあるいは参照関数；変数が存在しない場合，参照関数として対象グループに適用される";
commandsRef["Sum"].help		="多くのイベントのあるひとつの可能性を与えるグループあるいは参照関数；変数が存在しない場合，参照関数として対象グループに適用される；変数が与えられている場合は，Phaseのような処理となる";
commandsRef["T"].help = "平均値0のスチューデントt検定；自由度（1から一つずつ）は必須，分布は追加スケール変数によって決定可能；自由度数が増加すると正規分布に近似する";
commandsRef["Tau_Boundary"].help	="Sequence, P_SequenceおよびU_Sequenceの中でBoundaryと対で使用することで指数分布的グループを定義";
commandsRef["Top_Hat"].help	="中点と半値幅で決められた一様分布を定義";
commandsRef["U"].help		="始点と終点で決められた一様分布を定義";
commandsRef["U_Sequence"].help	="二つの境界間における一定堆積連続を定義；Tau_BoundaryあるいはZero_Boundaryを使用することで，厳密に指数関数的あるいは直線的な上昇/降下分布をとる堆積速度を仮定；内挿変数は，長さあたりの内挿データ数（精確なプロットにするためには内装点数の増加を必要としますが，収束時間がかかります）";
commandsRef["V_Sequence"].help	="正規分布する誤差を持つ時間間隔が外地の場合の堆積モデルを定義";
commandsRef["Year"].help		="年代を扱うための年を定義";
commandsRef["Zero_Boundary"].help="Sequence, P_SequenceおよびU_Sequenceの中でBoundaryと対で使用することで，堆積速度が0からの直線的な上昇あるいは0への直線的な下降分布をとるグループを定義";

};

function commandHelp(d,name)
{
 d.writeln(commandsRef[name].help);
};

function helpOver(id,name)
{
 var img;
 img=document.getElementById("Img"+id+name);
 hlp=document.getElementById("Exp"+id+name);
 if(hlp.style.display=="block")
 {
  img.src="../img/OrangeMinus.gif";
 }
 else
 {
  img.src="../img/GreenPlus.gif";
 };
 hlp=document.getElementById("Exp"+name);
};

function helpOut(id,name)
{
 var img;
 img=document.getElementById("Img"+id+name);
 hlp=document.getElementById("Exp"+id+name);
 if(hlp.style.display=="block")
 {
  img.src="../img/Orange.gif";
 }
 else
 {
  img.src="../img/Green.gif";
 };
};

function helpClick(id,name)
{
 var hlp;
 hlp=document.getElementById("Exp"+id+name);
 if(hlp.style.display=="block")
 {
  document.getElementById("Img"+id+name).src="../img/GreenPlus.gif";
  commandsRef[name].expanded=false;
  hlp.style.display="none";
 }
 else
 {
  document.getElementById("Img"+id+name).src="../img/OrangeMinus.gif";
  commandsRef[name].expanded=true;
  hlp.style.display="block";
 };
};

function commandSpecification(d,id,name,old,expand)
{
 d.write("<li><img id='Img"+id+name+"'src='");
 if(expand)
 {
  d.write("../img/Orange.gif");
 }
 else
 {
  d.write("../img/Green.gif");
 };
 d.write("' onmouseover='helpOver(\""+id+"\",\""+name+"\")' onmouseout='helpOut(\""+id+"\",\""+name+"\")' onclick='helpClick(\""+id+"\",\""+name+"\")'></img> ");
 commandSyntax(d,name,";",old);
 d.write("<span id='Exp"+id+name+"' style='display:");
 if(expand)
 {
  d.write("block");
 }
 else
 {
  d.write("none");
 };
 d.write("'><ul class='blank'><li>");
 commandHelp(d,name);
 d.writeln("<\/li><\/ul><\/span><\/li>");
};

function specList(d,id,names,old,expand)
{
 var i,n;
 if(names)
 {
  n=names.split(",");
 }
 else
 {
  n=commandsIndex;
 };
 d.writeln("<ul class='blank'>");
 for(i=0;i<n.length;i++)
 {
  commandSpecification(d,id,n[i],old,expand);
 };
 d.writeln("<\/ul>");
};
var helpSource=window.opener;
function helpInsert(id)
{
 var i,nd,txt,wnd;
 nd=document.getElementById(id).childNodes;
 for(i=0;(i<nd.length) && (nd[i].nodeName.toLowerCase()!='pre');i++){};
 if(i<nd.length)
 {
  txt=nd[i].firstChild.nodeValue;
 };
 if(helpSource)
 {
  if(helpSource.checkRight)
  {
   if(txt.indexOf("Plot(")!=-1)
   {
    helpSource.setCommand(txt);
   }
   else
   {
    if(helpSource.checkRight())
    {
     helpSource.right.insert(txt);
 	 helpSource.focus();
    }
    else
    {
     helpSource.setView(0);
     alert("Project manager now in right view mode - try again");
    };
   };
  }
  else
  {
   wnd=helpSource.open("../oxcal/OxCalInput.html","OxCal");
   helpSource=wnd;
   alert("Project manager now open - try again");
  };
 }
 else
 {
  alert("Help not opened from OxCal");
 };
};
function startCode(name)
{
  document.write("<table class='normal'><tbody><tr><th class='normal'>");
  document.write("<img src='../img/Green.gif' onmouseover='this.src=\"../img/GreenPlus.gif\"' "
    + "onmouseout='this.src=\"../img/Green.gif\"' onclick='helpInsert(\""+escape(name)+"\")'\/> ");
  document.write(name);
  document.write("<\/td><\/tr><tr><td><table class='clearHelp'><tbody><tr><td id='"+escape(name)+"'>");
};
function endCode()
{
 document.writeln("<\/td><\/tr><\/tbody><\/table><\/td><\/tr><\/tbody><\/table>");
};
function reveal(cls,nd)
{
 var i,divs;
 if(nd)
 {
  do
  {
   nd=nd.nextSibling;
  }
  while(nd.className!=cls);
  if(nd.style.display=="block")
  {
   nd.style.display="none";
  }
  else
  {
   nd.style.display="block";
  };
 }
 else
 {
  divs=document.getElementsByTagName("div");
  for(i=0;i<divs.length;i++)
  {
   if(divs[i].className==cls)
   {
    if(divs[i].style.display=="block")
    {
     divs[i].style.display="none";
    }
    else
    {
     divs[i].style.display="block";
    };
    divs[i].scrollIntoView();
   };
  };
 };
};
 function go_bib(ref)
 {
   window.location="ref.html#"+ref;
 };
 function go_ref(ref,author,year,words,reftype)
 {
  switch(reftype)
  {
  case 'article':
   window.open("http://scholar.google.com/scholar?as_q="+words+"&as_sauthors="+author+
   "&as_ylo="+year+"&as_yhi="+year+"&as_occt=title&safe=active","ref");
   break;
  case 'book':
   window.open("http://books.google.com/books?&q=intitle%3A"+
    words.split("+").join("+intitle%3A")+"+inauthor%3A"+ 
    author+"&btnG=Search+Books&as_drrb_is=b&as_miny_is="+ 
    year+"&as_maxy_is="+year,"ref");
   break;
  default:
   window.open("../db/db_ref.php?ref="+ref,"ref");
   break;
  };
 };
